#pragma once

#include <vector>
#include <map>
#include <Arduino.h>
#include "playlist.h"

class PlaylistManager {
	private:
	Playlist get_playlist_for_tag_id(String id);
	String current_rfid_tag_id;
	uint32_t audio_current_time = 0;

	public:
	PlaylistManager();
	std::map<String, String> map;
	Playlist get_playlist(String rfid_id);
	bool has_playlist(String rfid_id);
	Playlist current_playlist;
	void set_audio_current_time(uint32_t time);
};