#include "spi_master.h"
#include <Arduino.h>
#include "esmp3.h"

void SPIMaster::initialize() {
	pinMode(PIN_CS_SD, OUTPUT);
	pinMode(PIN_CS_RFID, OUTPUT);
	disable_all();
}

void SPIMaster::disable_all() {
	digitalWrite(PIN_CS_SD, HIGH);
	digitalWrite(PIN_CS_RFID, HIGH);
}

void SPIMaster::enable_rfid() {
	disable_all();
	digitalWrite(PIN_CS_RFID, LOW);
	delay(5);
}

void SPIMaster::enable_sd() {
	disable_all();
	digitalWrite(PIN_CS_SD, LOW);
	delay(5);
}