#pragma once

#include "controller.h"
#include "playlist_manager.h"
#include <Audio.h>

#define PIN_CS_SD     22
#define PIN_CS_RFID   21

#define PIN_BTN_VOL_UP 32
#define PIN_BTN_VOL_DOWN 33
#define PIN_BTN_TRACK_NEXT 17
#define PIN_BTN_TRACK_PREV 16

#define I2S_DOUT      25
#define I2S_BCLK      26
#define I2S_LRC       27

class Controller;

extern Controller controller;
extern Audio audio;
extern PlaylistManager* pm;
extern MFRC522* rfid;

void save_audio_current_time();